<mamecheat version="1">

  <cheat desc="Select Starting Round"> <comment>Enable on the 'Push Start Button' screen after you've inserted a credit</comment>
    <parameter min="1" max="32" step="1"/>
    <script state="change">
      <action>maincpu.pb@402B4=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL1">
    <script state="run">
      <action>maincpu.pb@40AF9=59</action>
      <action>maincpu.pb@40AF8=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@402B0=9A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@40AF5=02</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL2">
    <script state="run">
      <action>maincpu.pb@40B15=59</action>
      <action>maincpu.pb@40B14=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@402B1=9A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@40B11=02</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
